Package io.dapr.actors.runtime

# Enum ActorStateChangeKind

java.lang.Object
java.lang.Enum<ActorStateChangeKind>
io.dapr.actors.runtime.ActorStateChangeKind

All Implemented Interfaces:
  `Serializable`, `Comparable<ActorStateChangeKind>`

public enum ActorStateChangeKind extends Enum<ActorStateChangeKind>
Represents an actor's state change.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
State needs to be added.
`NONE`
No change in state.
`REMOVE`
State needs to be removed.
`UPDATE`
State needs to be updated.

## Method Summary

Modifier and Type
Method
Description
`static ActorStateChangeKind`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ActorStateChangeKind[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final ActorStateChangeKind NONE
No change in state.

### ADD

public static final ActorStateChangeKind ADD
State needs to be added.

### UPDATE

public static final ActorStateChangeKind UPDATE
State needs to be updated.

### REMOVE

public static final ActorStateChangeKind REMOVE
State needs to be removed.

## Method Details

### values

public static ActorStateChangeKind[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ActorStateChangeKind valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null